Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.statistic.stepscore
Class StepScoreSingleStatistic

    java.lang.Object
      org.optaplanner.benchmark.impl.statistic.SingleStatistic<StepScoreStatisticPoint>
          org.optaplanner.benchmark.impl.statistic.stepscore.StepScoreSingleStatistic

    public class StepScoreSingleStatistic

extends SingleStatistic<StepScoreStatisticPoint>

Field Summary

Fields inherited from class org.optaplanner.benchmark.impl.statistic.SingleStatistic
`singleBenchmarkResult, statisticType`

Constructor Summary
`StepScoreSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)`

Method Summary
`void` | `close(Solver solver)`
`protected StepScoreStatisticPoint` | `createPointFromCsvLine(ScoreDefinition scoreDefinition, List<String> csvLine)`
`protected String` | `getCsvHeader()`
`List<StepScoreStatisticPoint>` | `getPointList()`
`void` | `open(Solver solver)`
`void` | `setPointList(List<StepScoreStatisticPoint> pointList)`

Methods inherited from class org.optaplanner.benchmark.impl.statistic.SingleStatistic
`getCsvFile, getCsvFilePath, getStatisticType, readCsvStatisticFile, writeCsvStatisticFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StepScoreSingleStatistic

    public StepScoreSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)

Method Detail

### getPointList

    public List<StepScoreStatisticPoint> getPointList()

  Specified by:
    `getPointList` in class `SingleStatistic<StepScoreStatisticPoint>`

### setPointList

    public void setPointList(List<StepScoreStatisticPoint> pointList)

  Specified by:
    `setPointList` in class `SingleStatistic<StepScoreStatisticPoint>`

### open

    public void open(Solver solver)

  Specified by:
    `open` in class `SingleStatistic<StepScoreStatisticPoint>`

### close

    public void close(Solver solver)

  Specified by:
    `close` in class `SingleStatistic<StepScoreStatisticPoint>`

### getCsvHeader

    protected String getCsvHeader()

  Specified by:
    `getCsvHeader` in class `SingleStatistic<StepScoreStatisticPoint>`

### createPointFromCsvLine

    protected StepScoreStatisticPoint createPointFromCsvLine(ScoreDefinition scoreDefinition,
                                                             List<String> csvLine)

  Specified by:
    `createPointFromCsvLine` in class `SingleStatistic<StepScoreStatisticPoint>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.